<?php
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}	
	$id = $_SESSION['id'];
	$nazwa = $_SESSION['nazwa'];
	$lu = count($_SESSION['usersn']);

?>
	<div id="chat_tlo">
		<p id="chat_tytul">- Czat - Wybierz osobę</p>
		<div id="chat_left">
			<div id="chat_tekst">
			</div>
			<form action="" method="post" name="ajax">
				<input type="text" id="chat" name="chat">&nbsp;
				<input type="button" id="chat_wyslij" value="Wyślij">
			</form>
			<div id="chat_menu">
			</div>
			
		</div>
		<div id="chat_right">
<?php
	$strona = $_SESSION['strona'].'img/avatar/male/';
	for ($i=0; $i<$lu; $i++) {
		echo '<div class="chat_avatar" id="ib'.$i.'">';
		if (file_exists ( 'img/avatar/male/'.$_SESSION["usersn"][$i].'.jpg' )) {
			echo '<input type="button" id="ic'.$i.'" class="but_chat" style="background: url('.$strona.$_SESSION["usersn"][$i].'.jpg)">';
		} else {
			echo '<input type="button" id="ic'.$i.'" class="but_chat" style="background: url('.$strona.'fwa.jpg)">';
		}
		echo '<div class="chat_avatar_user" id="ia'.$i.'">';
		echo $_SESSION['usersn'][$i];
		echo '</div>';
		echo '</div>';
	}
	echo '<div class="chat_avatar" id="ib'.$i.'">';
	echo '<input type="button" id="ic'.$i.'" class="but_chat" style="background: url('.$strona.'wszyscy.jpg)">';
	echo '<div class="chat_avatar_user" id="ia'.$i.'">';
	echo 'Wszyscy';
	echo '</div>';
	echo '</div>';
?>		
		</div>
	</div>

<script language="JavaScript">

<?php
	echo "var users = [];";
	for ($i=0; $i<$lu; $i++) {
		echo "users[".$i."] = '".$_SESSION['usersn'][$i]."';";
	}
	echo "var id_user=".$id.";";
?>	
	var id_chat='';
	var sh=0;
	var lp_chat=0;
$(document).ready(function(){
	online();
	go();
                                
	function odbierz_wiadomosci() {
		if (id_chat!='') {
			sh = $('#chat_tekst').get(0).scrollHeight;
			var idu = id_chat.slice(2, id_chat.length);
			var wdo='';
			if (idu==users.length) {
				wdo='Wszyscy';
			} else wdo = users[idu];
				$.ajax({
				type:"POST",
				url:"wiras_php/chat/wa_odbierz_chat.php", 
				data: {k1:wdo},
					 
					success:function(s) {
						$('#chat_tekst').html(s);
						var nw = $('#chat_tekst').get(0).scrollHeight;
						if (nw>sh) {
							$('#chat_tekst').animate({
							scrollTop: nw}, 500);
						}
					},
					error: function(blad) {
					console.log("Błąd-Problem z wiadomością czatu");
				}
				});
			} 
	}

		function online() {
			var online = 1;
				$.ajax({
				type:"POST",
				url:"wiras_php/chat/wa_online_chat.php", 
				data: {k1:online},
					 
					success:function(s) {
						$('#chat_menu').html(s);
						
					},
					error: function(blad) {
					console.log("Błąd-Problem liczba osób online na czacie");
				}
				});
		}	
			                        
                        
		function go(){
		odbierz_wiadomosci();
		lp_chat++;
		if (lp_chat==3) {
			lp_chat=0;
			online();
		}
		window.setTimeout(go, 2000);
		}
						
		$( ".but_chat" ).on( "click", function() {
			var idc2=''; idd2='';
			var idc = $(this).attr('id');
			var idd = 'ia'+idc.slice(2, idc.length);
			if (id_chat!='') {
				idc2=id_chat;
				idd2='ia'+idc2.slice(2, idc2.length);
				$('#'+idc2).css({
				'border' :' 1px ridge #bbb'
				});
				$('#'+idd2).css({
				'border' :' 1px ridge #bbb',
				'background-color' : '#003',
				'color' : '#ff6'
				});
			}
			$('#'+idc).css({
				'border' :' 1px ridge #e00'
			});
			$('#'+idd).css({
				'border' :' 2px ridge #f00',
				'background-color' : '#080',
				'color' : '#0dd'
			});
			id_chat = idc;
			var idu = id_chat.slice(2, id_chat.length);
			var wdo='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Piszesz do: ';
			if (idu==users.length) {
				wdo += 'Wszyscy';
			} else wdo += users[idu];
			$("#chat_tytul").html(' - Czat - '+wdo);
		});
		
		$("#chat_wyslij").on("click", function() {
			if (id_chat!='' && $('#chat').val()!='') {
				var idu = id_chat.slice(2, id_chat.length);
				var wdo='';
				if (idu==users.length) {
					wdo='Wszyscy';
				} else wdo = users[idu];
				var t = $('#chat').val();
				$.ajax({
				type:"POST",
				url:"wiras_php/chat/wa_zapisz_chat.php", 
				data: {k1:wdo, k2:t},
					 
					success:function() {
						$('#chat').val('');
					},
					error: function(blad) {
					console.log("Błąd-Problem z wysłaniem wiadomości czatu");
				}
				});
			} 
		});
		
		$(document).on("keypress", function(e) {
			var key = e.charCode || e.keyCode;
			if(key == 13)
			{
				$('#chat_wyslij').click();
				return false;
			}
		});
});                       
</script>
